Subject: Re: [PATCH v2 0/3] net: Linn Ethernet Packet Sniffer driver

From: Richard Cochran <[email-masked]>
Date: Wed, 25 Feb 2015 15:21:30 +0100

On Wed, Feb 25, 2015 at 10:53:11AM +0000, Stathis Voukelatos wrote:
> On 25/02/15 09:50, Richard Cochran wrote:
> >
> >The Linux kernel already fully supports this kind of application via
> >the SIOCSHWTSTAMP, SO_TIMESTAMPING, and PHC mechanisms.  We certainly
> >don't need another another interface just for someone's warped
> >hardware design.
> >
> >I suggest that you find a way to make your HW work within the existing
> >frame work.
> 
> The driver already uses that framework for returning timestamps to
> user space. It does not introduce any new interface.

No, it only abuses the interfaces that we already have.  The time
stamp handling is not "within the existing frame work" by any means.
However, there is a way to integrate this hardware properly...

> The H/W could not support that:

With these new explanations, now I understand the code and how this is
supposed to work.

I'll put further comments in a reply to your newer series.

Thanks,
Richard